import os
import sys
path2this = os.path.dirname(os.path.abspath(__file__)).split('/')
for i, folder in enumerate(path2this):
    if folder.lower()=='oncostratifierml':
        project_path = '/'.join(path2this[:i+1])
sys.path.insert(0,project_path)
import pandas as pd
import numpy as np
from src.models import linear, nonlinear
import traceback
caller_f_name = traceback.format_stack()[0].split('"')[1].split('/')[-1]

R_STATE=123
np.random.seed(R_STATE)



def return_model(model_name, **params):
    print(params)
    if 'LR' in model_name or 'EN' in model_name:
        return linear.call_model(model_name, **params)
    print(params)
    if 'RFR' in model_name or 'SVR' in model_name:
        return nonlinear.call_model(model_name, **params)
